package com.android.test.p05interpolation;

import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.view.View;
import android.view.animation.Animation;
import android.view.animation.AnimationUtils;
import android.widget.Button;
import android.widget.ImageView;

public class MainActivity extends AppCompatActivity implements View.OnClickListener
{
    ImageView image;
    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);

        image = (ImageView)findViewById(R.id.image);


        Button btnLinear     = findViewById(R.id.btnLinear    );
        Button btnAccelerate = findViewById(R.id.btnAccelerate);
        Button btnDecelerate = findViewById(R.id.btnDecelerate);
        Button btnAccelDecel = findViewById(R.id.btnAccelDecel);
        Button btnBounce     = findViewById(R.id.btnBounce    );
        Button btnCycle      = findViewById(R.id.btnCycle     );
        Button btnOvershoot  = findViewById(R.id.btnOvershoot );
        Button btnAnticipate = findViewById(R.id.btnAnticipate);
        Button btnAntiShoot = findViewById(R.id.btnAntiShoot  );

        btnLinear    .setOnClickListener(this);
        btnAccelerate.setOnClickListener(this);
        btnDecelerate.setOnClickListener(this);
        btnAccelDecel.setOnClickListener(this);
        btnBounce    .setOnClickListener(this);
        btnCycle     .setOnClickListener(this);
        btnOvershoot .setOnClickListener(this);
        btnAnticipate.setOnClickListener(this);
        btnAntiShoot.setOnClickListener (this);
    }
    private void doAnimation(final int rid)
    {
        Animation animation = AnimationUtils.loadAnimation(this, rid);
        image.startAnimation(animation);
    }
    @Override
    public void onClick(View v)
    {
        switch (v.getId()) {
            case R.id.btnLinear     : doAnimation(R.anim.linear     ); break;
            case R.id.btnAccelerate : doAnimation(R.anim.accelerate ); break;
            case R.id.btnDecelerate : doAnimation(R.anim.decelerate ); break;
            case R.id.btnAccelDecel : doAnimation(R.anim.accel_decel); break;
            case R.id.btnBounce     : doAnimation(R.anim.bounce     ); break;
            case R.id.btnCycle      : doAnimation(R.anim.cycle      ); break;
            case R.id.btnOvershoot  : doAnimation(R.anim.overshoot  ); break;
            case R.id.btnAnticipate : doAnimation(R.anim.anticipate ); break;
            case R.id.btnAntiShoot  : doAnimation(R.anim.antishoot  ); break;
        }
    }
}
